by Mr. Gu

October 16, 2020

Which is the best AWS EC2 instance to install mautic for a beginner? 

  • FreeTier 1GB ram good for Mautic 2.x
  • If you want to Use Mautic 3 then Go with 2GB ram is better 

Because the major changes in Mautic 3 include:

  • - Updating from the deprecated Symfony 2.x framework to the Symfony 3.x framework. 
  • - Updating from the deprecated jQuery 2.x version to v3.3.1.
  • - Updating the file manager.

It is recommended your mautic servers meet the following requirements.

Software

Minimum

More information

PHP (Magic Quotes GPC off)

Minimum PHP version is 7.2.21 <7.4

https://secure.php.net/

Supported Database:

MySQL (InnoDB support required)

Minimum MySQL version is 5.7 or MariaDB 10.2.

https://www.mysql.com/

Supported Web Servers:

Apache

2.x +

http://www.apache.org/

Nginx

1.0 + (1.8 recommended)

http://wiki.nginx.org/

Microsoft IIS

7

http://www.iis.net/

  1. Mautic 2 is the current legacy version, Minimum PHP version is 5.6.19 (including 7.x up to 7.3, which is supported in Mautic 2.16+).
  2. For new muatic instance, I install Mautic 3 as default.
  3. In order to use SEO URLs, you will need to have the Apache mod_rewrite extension installed.

About the author 

Mr. Gu

Technical Marketing Consultant. Proficient in WordPress website optimization, mautic marketing automation system, odoo/erpnext ERP system for SMEs, Google Ads, Facebook Ads, ...

{"email":"Email address invalid","url":"Website address invalid","required":"Required field missing"}

Title Goes Here


Get this Free E-Book

Use this bottom section to nudge your visitors.

>